Skip to main content

List SMB shares in a fleet in NetApp Console local deployment

GET /organizations/{organization_id}/fleets/{fleet_id}/smbshares

Lists all SMB shares in the specified fleet.

Parameters

Name Type In Required Description

organization_id

string

path

True

Identifier for an organization.

fleet_id

string

path

True

Identifier for a fleet.

count

string

query

False

Indicates if the total number of resources should be returned in the response object.

URL examples: "count=true"

OpenAPI examples: "true"

filter

string

query

False

Specifies which fields should be matched in order to return a resource when listing a collection.

Supported operators:

  • eq - Equality

  • lt/gt - Less than/greater than

  • lte/gte - Less than or equal to/greater than or equal to

URL example: "filter=field%20eq%20%27value%27"

OpenAPI examples: "field eq 'value'"

include

string

query

False

Specifies which fields should be returned when listing a collection.

URL examples: "include=id", "include=id,name"

OpenAPI examples: "id"

limit

string

query

False

Specifies the maximum number of resources to return when listing a collection.

URL examples: "limit=2"

OpenAPI examples: "2"

metadata

string

query

False

Indicates if the metadata should be returned in the response object.

URL examples: "metadata=true"

OpenAPI examples: "true"

orderBy

string

query

False

Indicates the sort order of resources when listing a collection.

URL examples: "orderBy=name", "orderBy=name%20desc"

OpenAPI examples: "name desc"

skip

string

query

False

Specifies the number of resources to skip when listing a collection.

URL examples: "skip=1"

OpenAPI examples: "1"

Response

Status: 200, OK
Name Type Required Description

count

integer

False

Total number of SMB shares in the collection that match the query.

items

array[smbshare_1.0_get_response_body]

True

SMB shares in the collection.

Example response
{
  "count": 2,
  "items": [
    {
      "accessBasedEnumeration": false,
      "aclCount": 3,
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "description": "Engineering team file share",
      "encryption": false,
      "homeDirectory": false,
      "id": "c08d213b-3c38-4c07-bde0-852ef821b815",
      "metadata": {
        "modificationTimestamp": "2022-10-06T20:58:16.305662Z"
      },
      "name": "share-01",
      "oplocks": true,
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "path": "/vol/volume-01/share01",
      "showSnapshot": false,
      "svm": {
        "id": "d1ddc65d-f7a2-4ca7-9847-5afd069a3dbe",
        "name": "svm-01"
      },
      "type": "application/vnd.netapp.bxp.smbshare",
      "version": "1.0",
      "volume": {
        "id": "92c08026-35d2-45fe-8c1b-67b08d0c0322",
        "name": "volume-01"
      },
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    },
    {
      "accessBasedEnumeration": true,
      "aclCount": 5,
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "description": "Finance team secure share",
      "encryption": true,
      "homeDirectory": false,
      "id": "7a2f9d3b-1e4c-4a8f-b5c6-2d8e9f1a0b3c",
      "metadata": {
        "modificationTimestamp": "2022-10-06T21:15:42.108234Z"
      },
      "name": "share-02",
      "oplocks": true,
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "path": "/vol/volume-02/finance",
      "showSnapshot": false,
      "svm": {
        "id": "f9c0d1e2-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
        "name": "svm-02"
      },
      "type": "application/vnd.netapp.bxp.smbshare",
      "version": "1.0",
      "volume": {
        "id": "a7f19b3e-42c6-4d1a-9f7e-8b2d3c4e5f6a",
        "name": "volume-02"
      },
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Definitions

See Definitions

cluster_1.0_reference

Reference to an ONTAP cluster.

Name Type Required Description

id

string

False

Identifier of the cluster.

name

string

False

Cluster name.

common_1.0_inventory_metadata

Metadata associated with the resource.

Name Type Required Description

modificationTimestamp

string

False

Resource modification date.

svm_1.0_reference

Reference to an ONTAP SVM.

Name Type Required Description

id

string

False

Identifier of the SVM.

name

string

False

SVM name.

volume_1.0_reference

Reference to an ONTAP volume.

Name Type Required Description

id

string

False

Identifier of the volume.

name

string

False

Volume name.

smbshare_1.0_get_response_body

Name Type Required Description

accessBasedEnumeration

boolean

False

Indicates whether access-based enumeration is enabled. When enabled, only files and directories that the connecting user has permission to access are visible.

aclCount

integer

False

Number of access control lists (ACLs) configured on the SMB share.

cluster

cluster_1.0_reference

False

Reference to an ONTAP cluster.

  • x-tag: Cluster

description

string

False

Description (comment) of the SMB share.

encryption

boolean

False

Indicates whether SMB encryption is required for all data in transit on this share.

homeDirectory

boolean

False

Indicates whether the share is a home directory share that dynamically maps to the connecting user's home directory.

id

string

False

Identifier of the SMB share (UUIDv5 generated from the SVM UUID and the share name).

metadata

common_1.0_inventory_metadata

False

Metadata associated with the resource.

name

string

False

Name of the SMB share.

oplocks

boolean

False

Indicates whether opportunistic locks (oplocks) are enabled, allowing clients to cache files locally and improve performance.

organizationId

string

False

Identifier for an organization.

path

string

False

Absolute filesystem path of the SMB share, relative to the SVM root volume.

showSnapshot

boolean

False

Indicates whether the .snapshot directory is visible to clients accessing the share.

svm

svm_1.0_reference

False

Reference to an ONTAP SVM.

  • x-tag: SVM

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.smbshare"

version

string

False

Version of the resource. Defined values are:

  • "1.0"

volume

volume_1.0_reference

False

Reference to an ONTAP volume.

  • x-tag: Volume

workingEnvironmentId

string

False

Identifier for the asset's system.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.